WHO(1)

NAME
who - display who is logged in

SYNOPSIS
who [am I] [file]

DESCRIPTION
The utility who displays a list of all users currently logged on, showing for each user the login name, tty name, the date and time of login, and hostname if not local.

Available options:

am I
    Returns the invoker's real user name.

file
    By default, who gathers information from the file /var/run/utmp. An alternate file may be specified which is usually /var/run/wtmp (or /var/run/wtmp.[0-6] depending on site policy as wtmp can grow quite large and daily versions may or may not be kept around after compression by ac(8)). The wtmp file contains a record of every login, logout, crash, shutdown and date change since wtmp was last truncated or created.

If /var/log/wtmp is being used as the file, the user name may be empty or one of the special characters '|', '}' and '~'. Logouts produce an output line without any user name. For more information on the special characters, see utmp(5).

FILES
/var/run/utmp
/var/log/wtmp
/var/log/wtmp.[0-6]

SEE ALSO
last(1), users(1), getuid(2), utmp(5)

HISTORY
A who command appeared in AT&T UNIX.